package cn.ibizlab.businesscentral.core.odoo_product.client;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.*;
import cn.ibizlab.businesscentral.core.odoo_product.domain.Product_attribute_value;
import cn.ibizlab.businesscentral.core.odoo_product.filter.Product_attribute_valueSearchContext;
import org.springframework.stereotype.Component;

/**
 * 实体[product_attribute_value] 服务对象接口
 */
@Component
public class product_attribute_valueFallback implements product_attribute_valueFeignClient{

    public Product_attribute_value update(Long id, Product_attribute_value product_attribute_value){
            return null;
     }
    public Boolean updateBatch(List<Product_attribute_value> product_attribute_values){
            return false;
     }




    public Boolean remove(Long id){
            return false;
     }
    public Boolean removeBatch(Collection<Long> idList){
            return false;
     }


    public Page<Product_attribute_value> search(Product_attribute_valueSearchContext context){
            return null;
     }


    public Product_attribute_value get(Long id){
            return null;
     }


    public Product_attribute_value create(Product_attribute_value product_attribute_value){
            return null;
     }
    public Boolean createBatch(List<Product_attribute_value> product_attribute_values){
            return false;
     }

    public Page<Product_attribute_value> select(){
            return null;
     }

    public Product_attribute_value getDraft(){
            return null;
    }



    public Boolean checkKey(Product_attribute_value product_attribute_value){
            return false;
     }


    public Boolean save(Product_attribute_value product_attribute_value){
            return false;
     }
    public Boolean saveBatch(List<Product_attribute_value> product_attribute_values){
            return false;
     }

    public Page<Product_attribute_value> searchDefault(Product_attribute_valueSearchContext context){
            return null;
     }


}
